#ifndef YY_YY_BASAVA_TAB_H_INCLUDED
# define YY_YY_BASAVA_TAB_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int yydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    IDENTIFIER = 258,
    PROGRAM = 259,
    INT = 260,
    FLOAT = 261,
    CHAR = 262,
    STRING = 263,
    B_BEGIN = 264,
    B_END = 265,
    S_TERMINATOR = 266,
    VOID = 267,
    MAIN = 268,
    IF = 269,
    ELSE = 270,
    DO = 271,
    WHILE = 272,
    GOTO = 273,
    ELLIPSIS = 274,
    RIGHT_ASSIGN = 275,
    LEFT_ASSIGN = 276,
    ADD_ASSIGN = 277,
    SUB_ASSIGN = 278,
    MUL_ASSIGN = 279,
    DIV_ASSIGN = 280,
    MOD_ASSIGN = 281,
    AND_ASSIGN = 282,
    XOR_ASSIGN = 283,
    OR_ASSIGN = 284,
    RIGHT_OP = 285,
    LEFT_OP = 286,
    INC_OP = 287,
    DEC_OP = 288,
    PTR_OP = 289,
    AND_OP = 290,
    OR_OP = 291,
    LE_OP = 292,
    GE_OP = 293,
    EQ_OP = 294,
    NE_OP = 295,
    TYPEDEF_NAME = 296,
    ENUMERATION_CONSTANT = 297,
    LONG_LITERAL = 298,
    DOUBLE_LITERAL = 299,
    CHAR_LITERAL = 300,
    STRING_LITERAL = 301
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef union YYSTYPE YYSTYPE;
union YYSTYPE
{

#line 102 "basava.tab.h" /* yacc.c:1909  */
  /* CHAR_LITERAL  */
  char CHAR_LITERAL;
  /* STRING_LITERAL  */
  char * STRING_LITERAL;
  /* DOUBLE_LITERAL  */
  double DOUBLE_LITERAL;
  /* num_exp  */
  double num_exp;
  /* LONG_LITERAL  */
  long LONG_LITERAL;
};
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif


extern YYSTYPE yylval;

int yyparse (void);

#endif /* !YY_YY_BASAVA_TAB_H_INCLUDED  */
